package com.gh.gamecenter.core.provider

import android.content.Context
import android.content.pm.PackageInfo

interface IPackageUtilsProvider {

    fun obtainProcessName(): String?

    fun getGhVersionName(): String

    fun getGhVersionCode(): Int

    fun isInstalledWithLauncherIcon(context: Context, packageName: String): Boolean

    fun getInstalledPackages(context: Context, flag: Int): List<PackageInfo>

    fun getApkSignatureByPackageName(context: Context, packageName: String): Array<String>

    fun getSideLoadedInfo(): MutableMap<String, String>?

    fun isSignedByGh(context: Context, packageName: String): Boolean

    fun getInstalledTime(context: Context, packageName: String): Long

    fun getVersionNameByPackageName(packageName: String): String
}